Bug 429957 - nvidia video card: System does not fully resume after suspend
nvidia video card: System does not fully resume after suspend
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal-info (Show other bugs)
11
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-23 18:27 EST by Austin Acton
Modified: 2013-03-05 22:54 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:31:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmi info (10.42 KB, text/plain)
2008-01-23 18:27 EST, Austin Acton
no flags Details
pci list (5.98 KB, text/plain)
2008-01-23 18:28 EST, Austin Acton
no flags Details
X log (20.27 KB, text/plain)
2008-01-23 18:29 EST, Austin Acton
no flags Details
dmesg (20.47 KB, text/plain)
2008-01-23 18:30 EST, Austin Acton
no flags Details

  None (edit)
Description Austin Acton 2008-01-23 18:27:52 EST
On my (fairly typical) system, I can click Suspend in GNOME, and the machine
goes into S3 quite nicely.  However, it only "half" wakes up on resume.  Fans
start, hard drive spins up, video power come up (monitor wakes up).  However, no
video signal (neither console nor X).  There is very little disk activity.  I
don't think it's accepting commands.  I've tried things like [ go to VC1, login
root, type halt ], etc., or leaving a terminal window open and typing commands
headless.  They don't seem to work.  CTRL-ALT-BACKSPACE does nothing. 
CTRL-ATL-DELETE, and the pc speaker emits a beep, there is a tiny bit of disk
activity, then a second beep, but it doesn't seem to be shutting down.  Only
solution is reset button.

This is an important piece of office equipment.  Any suggestions appreciated.

nfocrce based Soltec motherboard
AMD Athlon XP 2500+ processor
on-board GeForce 4 MX videeo (same effect using either nv or nvidia driver)
on-board lan
Comment 1 Austin Acton 2008-01-23 18:27:52 EST
Created attachment 292710 [details]
dmi info
Comment 2 Austin Acton 2008-01-23 18:28:49 EST
Created attachment 292711 [details]
pci list
Comment 3 Austin Acton 2008-01-23 18:29:12 EST
Created attachment 292712 [details]
X log
Comment 4 Austin Acton 2008-01-23 18:30:56 EST
Created attachment 292713 [details]
dmesg
Comment 5 Till Maas 2008-01-24 02:16:57 EST
According to http://katzj.livejournal.com/407566.html suspend may not work
reliable with nvidia hardware.

Doeslshal | egrep
"(system.hardware.(product|vendor|version)|smbios.bios.version|power_management.quirk)"
show some lines stat start with power_management.quirk?
If not, maybe some of the quirks that are described here work:
http://people.freedesktop.org/~hughsient/quirk/quirk-suspend-index.html
Or the currently used quirks are wrong.
Please paste the output of above command.

I reassign this bug to the hal-info component, because there the information
about how systems need to be suspended, is stored.
Comment 6 Richard Hughes 2008-05-30 07:50:51 EDT
Please see http://people.freedesktop.org/~hughsient/quirk/ - does that help?
Comment 7 Mikel Ward 2008-06-14 07:09:13 EDT
Possible dupe of bug 414971.  Suggest reassigning to xorg-x11-drv-nv.
Comment 8 Bug Zapper 2008-11-26 04:32:39 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Nicola Soranzo 2008-11-27 12:49:37 EST
(In reply to comment #6)
> Please see http://people.freedesktop.org/~hughsient/quirk/ - does that help?

Not that much, the only thing I figured out is that:
- suspending from GNOME, after resume even the caps lock key doesn't work
- suspending from a tty with pm-suspend, after resume I can type commands blindly ("find /" makes the hard disk light flash, "reboot" works)
Comment 10 MMO 2009-04-05 13:45:46 EDT
I am new to this forum and to the use of Fedora 10:  I used Fedora 9 three months and then installed Fedora 10.  I did not get control of establishing add-ons correctly - adobe- quick time etc-  
I didn't really care...........then I started having some issues with F 10.  Particularly Abiword was acting up.  I generally saved the documents I created in MS Word, although some were saved in Abiword. I forwarded bug reports to Fedora as they - on their own came up.  Last week I decided to take some time to "straighten" out the issues.  I believe I used the Selinux policy tool generator to ?? scan and or send bug reports in a different way. Since I was reconfiguring a "shaky" setup I decided to backup all my documents, which of course included potentially suspect files/ documents from abiword.  Upon resetting the vigilance or reporting and control, the system basically crashed leaving me with a full monitor scree -- top had a lashed line of red in blackish green ish field and the rest of the screen was like a multicolor textured (threads of different colors wooven) wall paper.
I have now installed and am using a fresh Fed. 10.  
What should I do with my flash drive of documents?  How should I test for problems with the data prior to reloading on the computer?  
Is there a safe secure mode to open this data using my computer?  I have access to two Windows based computers.  And a community college Computer/ Applications etc. dept. is within reach.

Thanks

If I have placed this note in the wrong discussion please let me know where to place it, thanks.
Comment 11 Nicola Soranzo 2009-04-06 06:14:45 EDT
(In reply to comment #10)
> I am new to this forum and to the use of Fedora 10:

Sorry, this is NOT a forum, this is the bug reporting system for Fedora.
So, please, respect the topic of the discussion, which in this case is nvidia video card suspend.

> If I have placed this note in the wrong discussion please let me know where to
> place it, thanks.  

Please take a look at this webpage:

http://fedoraproject.org/wiki/Communicating_and_getting_help
Comment 12 MMO 2009-04-06 06:38:05 EDT
(In reply to comment #11)
> (In reply to comment #10)
> > I am new to this forum and to the use of Fedora 10:
> 
> Sorry, this is NOT a forum, this is the bug reporting system for Fedora.
> So, please, respect the topic of the discussion, which in this case is nvidia
> video card suspend.
> 
> > If I have placed this note in the wrong discussion please let me know where to
> > place it, thanks.  
> 
> Please take a look at this webpage:
> 
> http://fedoraproject.org/wiki/Communicating_and_getting_help  

Gracie Nick: It seems to have been bug reporting that got me in a hole.  I have also sent a message directly to the target-moderator, and hopefully he can help direct me-  by the way video cards and video are not my concern, as I want to learn Fedora / Linux capabilities on a more fundamental level-   As I said, this is new to me, but it will not remain new.  
There must be a lot more bugs now that linux is being used for video and sound-  what would you suggest as a linux version, that has less capabilities but that is bug free?
If you'd care to reply............ in advance prego.
Matt Obst
Comment 13 Mikel Ward 2009-08-11 01:08:59 EDT
Still occurs in Fedora 11.
Comment 14 Bug Zapper 2010-04-27 07:53:27 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2010-06-28 06:31:53 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.